Package org.apache.tomcat.util.descriptor.web

## Class FilterDef

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.FilterDef

All Implemented Interfaces:
  `java.io.Serializable`

    public class FilterDef
    extends java.lang.Object
    implements java.io.Serializable

Representation of a filter definition for a web application, as represented in a `<filter>` element in the deployment descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Constructor Summary

Constructors
`FilterDef()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addInitParameter​(java.lang.String name, java.lang.String value)` Add an initialization parameter to the set of parameters associated with this filter.
`java.lang.String` `getAsyncSupported()`
`java.lang.String` `getDescription()`
`java.lang.String` `getDisplayName()`
`Filter` `getFilter()`
`java.lang.String` `getFilterClass()`
`java.lang.String` `getFilterName()`
`java.lang.String` `getLargeIcon()`
`java.util.Map<java.lang.String,​java.lang.String>` `getParameterMap()`
`java.lang.String` `getSmallIcon()`
`void` `setAsyncSupported​(java.lang.String asyncSupported)`
`void` `setDescription​(java.lang.String description)`
`void` `setDisplayName​(java.lang.String displayName)`
`void` `setFilter​(Filter filter)`
`void` `setFilterClass​(java.lang.String filterClass)`
`void` `setFilterName​(java.lang.String filterName)`
`void` `setLargeIcon​(java.lang.String largeIcon)`
`void` `setSmallIcon​(java.lang.String smallIcon)`
`java.lang.String` `toString()` Render a String representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FilterDef

    public FilterDef()

### Method Detail

#### getDescription

    public java.lang.String getDescription()

#### setDescription

    public void setDescription​(java.lang.String description)

#### getDisplayName

    public java.lang.String getDisplayName()

#### setDisplayName

    public void setDisplayName​(java.lang.String displayName)

#### getFilter

    public Filter getFilter()

#### setFilter

    public void setFilter​(Filter filter)

#### getFilterClass

    public java.lang.String getFilterClass()

#### setFilterClass

    public void setFilterClass​(java.lang.String filterClass)

#### getFilterName

    public java.lang.String getFilterName()

#### setFilterName

    public void setFilterName​(java.lang.String filterName)

#### getLargeIcon

    public java.lang.String getLargeIcon()

#### setLargeIcon

    public void setLargeIcon​(java.lang.String largeIcon)

#### getParameterMap

    public java.util.Map<java.lang.String,​java.lang.String> getParameterMap()

#### getSmallIcon

    public java.lang.String getSmallIcon()

#### setSmallIcon

    public void setSmallIcon​(java.lang.String smallIcon)

#### getAsyncSupported

    public java.lang.String getAsyncSupported()

#### setAsyncSupported

    public void setAsyncSupported​(java.lang.String asyncSupported)

#### addInitParameter

    public void addInitParameter​(java.lang.String name,
                                 java.lang.String value)

Add an initialization parameter to the set of parameters associated with this filter.

Parameters:
  `name` - The initialization parameter name
  `value` - The initialization parameter value

#### toString

    public java.lang.String toString()

Render a String representation of this object.

Overrides:
  `toString` in class `java.lang.Object`